function love.load()

   bg = love.graphics.newImage("hockey.png")

  world = love.physics.newWorld(650, 650) --create a world for the bodies to exist in with width and height of 2,000
  world:setGravity(0, 0) --the x component of the gravity will be 0, and the y component of the gravity will be 700
  world:setMeter(128*1) --the height of a meter in this world will be 64px
 
ascore = 0
bscore = 0


  
  bodies = {} --create tables for the bodies and shapes so that the garbage collector doesn't delete them
  shapes = {}
  
  --let's create the ground
  --we need to give the ground a mass of zero so that the ground wont move
  bodies[0] = love.physics.newBody(world, 650/2, 625, 0, 0) --remember, the body anchors from the center of the shape
  shapes[0] = love.physics.newRectangleShape(bodies[0], 0, 0, 650, 50, 0) --anchor the shape to the body, and make it a width of 650 and a height of --50
  


  bodies[2] = love.physics.newBody(world, 650/2, 25, 0, 0) --remember, the 
  shapes[2] = love.physics.newRectangleShape(bodies[2], 0, 0, 650, 50, 0) 

  bodies[3] = love.physics.newBody(world, 0, 650/2, 0, 0) --remember, the 
  shapes[3] = love.physics.newRectangleShape(bodies[3], 0, 0, 50, 650, 0) 

  bodies[4] = love.physics.newBody(world, 650, 650/2, 0, 0) --remember, the 
  shapes[4] = love.physics.newRectangleShape(bodies[4], 0, 0, 50, 650, 0) 

  --let's create a puck
  bodies[1] = love.physics.newBody(world, 650/2, 570, 15, 0) --place the body in the center of the world, with a mass of 15
  shapes[1] = love.physics.newCircleShape(bodies[1], 0, 0, 21) --the ball has a shape of 20
shapes[1]:setFriction(.01) 

  bodies[5] = love.physics.newBody(world, 650/2, 650/2, .5, 0) --place the body in the center of the world, with a mass of 15
  shapes[5] = love.physics.newCircleShape(bodies[5], 0, 0, 22) --the ball has a shape of 20

shapes[5]:setFriction(.001) 
  --initial graphics setup
  love.graphics.setBackgroundColor(230, 232, 240) --set the background color to a nice blue
  love.graphics.setMode(650, 650, false, true, 0) --set the window dimensions to 650 by 650

  --let's create a puck
  bodies[7] = love.physics.newBody(world, 650/2, 80, 15, 0) --place the body in the center of the world, with a mass of 15
  shapes[7] = love.physics.newCircleShape(bodies[7], 0, 0, 20) --the ball has a shape of 20
  shapes[7]:setFriction(.01) 

end



function love.update(dt)
  world:update(dt) --this puts the world into motion
  
if bodies[5]:getX() > 300 and bodies[5]:getX() < 350 then
if bodies[5]:getY() < 90 then
ascore = ascore+1 
bodies[5]:setX(650/2)
bodies[5]:setY(650/2)
end
if bodies[5]:getY() > 650-90 then
bscore = bscore+1
bodies[5]:setX(650/2)
bodies[5]:setY(650/2)
end
--finish x check
end

  --here we are going to create some keyboard events
  if love.keyboard.isDown("right") then --press the right arrow key to push the ball to the right
    bodies[1]:applyForce(400, 0)
  elseif love.keyboard.isDown("left") then --press the left arrow key to push the ball to the left
    bodies[1]:applyForce(-400, 0)
  elseif love.keyboard.isDown("up") and bodies[1]:getY() > 325  then --press the up arrow key to set the ball in the air
    bodies[1]:applyForce(0, -400)
  elseif love.keyboard.isDown("down") then --press the up arrow key to set the ball in the air
    bodies[1]:applyForce(0, 400)  end
  if bodies[1]:getY() < 325  then --send back puck
    bodies[1]:applyForce(0, 1400)
end
  --here we are going to create some keyboard events
  if love.keyboard.isDown("d") then --press the right arrow key to push the ball to the right
    bodies[7]:applyForce(400, 0)
  elseif love.keyboard.isDown("a") then --press the left arrow key to push the ball to the left
    bodies[7]:applyForce(-400, 0)
  elseif love.keyboard.isDown("w") and bodies[7]:getY() < 325  then --press the up arrow key to set the ball in the air
    bodies[7]:applyForce(0, -400)
  elseif love.keyboard.isDown("s") then --press the up arrow key to set the ball in the air
    bodies[7]:applyForce(0, 400)  end
  if bodies[7]:getY() > 325  then --send back puck
    bodies[7]:applyForce(0, -1400)
end
end

function love.draw()
   love.graphics.setColor(150, 150, 200) --set the drawing color to green for the ground
   love.graphics.rectangle("fill", 0, 650/2-5, 650, 650/2+5)
 local x1, y1, x2, y2, x3, y3, x4, y4 = shapes[0]:getBoundingBox() --get the x,y coordinates of all 4 corners of the box.
  --x1, y1 represent the bottom left corner of the bounding box
  --x2, y2 represent the top left corner of the bounding box
  --x3, y3 represent the top right corner of the bounding box
  --x4, y4 represent the top right corner of the boudning box
  local boxwidth = x3 - x2 --calculate the width of the box
  local boxheight = y2 - y1 --calculate the height of the box
  love.graphics.setColor(254, 254, 254) --set the drawing color to green for the ground
 
love.graphics.draw(bg, 0, 0)
  --the rectangle is drawing from the top left corner
  --so we need to compensate for that
--  love.graphics.rectangle("fill", bodies[0]:getX() - boxwidth/2, bodies[0]:getY() - boxheight/2, boxwidth, boxheight)
--  love.graphics.rectangle("fill", bodies[0]:getX() - boxwidth/2, bodies[0]:getY() - boxheight/2, boxwidth, boxheight)
--  love.graphics.rectangle("fill", bodies[2]:getX() - boxwidth/2, bodies[2]:getY() - boxheight/2, boxwidth, boxheight)  
--  love.graphics.rectangle("fill", bodies[3]:getX() - boxwidth/2, bodies[3]:getY() - boxheight/2, boxheight, boxwidth)
   -- Draw all the pucks rings

love.graphics.setColor(103, 47, 14)

love.graphics.circle("fill", bodies[1]:getX(), bodies[1]:getY(), shapes[1]:getRadius()+2, 20)

love.graphics.setColor(170, 47, 14) --set the drawing color to red for 

love.graphics.circle("fill", bodies[1]:getX(), bodies[1]:getY(), shapes[1]:getRadius(), 20)

love.graphics.setColor(193, 47, 14) --set the drawing color to red for 

love.graphics.circle("fill", bodies[1]:getX(), bodies[1]:getY(), shapes[1]:getRadius()-4, 20)

love.graphics.setColor(253, 47, 14)

love.graphics.circle("fill", bodies[1]:getX(), bodies[1]:getY(), shapes[1]:getRadius()-7, 20)
love.graphics.setColor(127, 47, 14)

love.graphics.circle("fill", bodies[1]:getX(), bodies[1]:getY(), shapes[1]:getRadius()/2, 20)

love.graphics.setColor(193, 47, 14)

love.graphics.circle("fill", bodies[1]:getX(), bodies[1]:getY(), shapes[1]:getRadius()/2-2, 20)

love.graphics.setColor(253, 47, 14)

love.graphics.circle("fill", bodies[1]:getX(), bodies[1]:getY(), shapes[1]:getRadius()/2-5, 20)

--the thing you hit

love.graphics.setColor(5, 5, 17)

love.graphics.circle("fill", bodies[5]:getX(), bodies[5]:getY(), shapes[5]:getRadius()+2, 20)

love.graphics.setColor(232, 232, 242)

love.graphics.circle("fill", bodies[5]:getX(), bodies[5]:getY(), shapes[5]:getRadius(), 20)

love.graphics.setColor(242, 242, 247)

love.graphics.circle("fill", bodies[5]:getX(), bodies[5]:getY(), shapes[5]:getRadius()-2, 20)

love.graphics.setColor(252, 252, 252)

love.graphics.circle("fill", bodies[5]:getX(), bodies[5]:getY(), shapes[5]:getRadius()*.75, 20)

love.graphics.setColor(255, 0, 217)
love.graphics.print("Love2D", 325-75, 647, 0, 1, 1)
--second puck

love.graphics.setColor(103, 47, 14)

love.graphics.circle("fill", bodies[7]:getX(), bodies[7]:getY(), shapes[7]:getRadius()+2, 20)

love.graphics.setColor(170, 47, 14) --set the drawing color to red for 

love.graphics.circle("fill", bodies[7]:getX(), bodies[7]:getY(), shapes[7]:getRadius(), 20)

love.graphics.setColor(193, 47, 14) --set the drawing color to red for 

love.graphics.circle("fill", bodies[7]:getX(), bodies[7]:getY(), shapes[7]:getRadius()-4, 20)

love.graphics.setColor(253, 47, 14)

love.graphics.circle("fill", bodies[7]:getX(), bodies[7]:getY(), shapes[7]:getRadius()-7, 20)
love.graphics.setColor(127, 47, 14)

love.graphics.circle("fill", bodies[7]:getX(), bodies[7]:getY(), shapes[7]:getRadius()/2, 20)

love.graphics.setColor(193, 47, 14)

love.graphics.circle("fill", bodies[7]:getX(), bodies[7]:getY(), shapes[7]:getRadius()/2-2, 20)

love.graphics.setColor(253, 47, 14)

love.graphics.circle("fill", bodies[7]:getX(), bodies[7]:getY(), shapes[7]:getRadius()/2-5, 20)

if ascore >= 7 then
love.graphics.setColor(0, 0, 0)
love.graphics.print("Keyboard Win!!!", 325, 325, 0, 1, 1)
end

if bscore >= 7 then
love.graphics.setColor(0, 0, 0)
love.graphics.print("WASD Win!!!", 325, 325, 0, 1, 1)
end

end